global.h File Reference
`#include <pthread.h>`

Go to the source code of this file.

## Macros

#define | SPI_CHANNEL 1
#define | SPI_SPEED 200000
#define | TIMER_DELAY_US 50000
#define | SQL_DATABASE "coffee.sqlite"
#define | THREAD_MAIN 0
#define | THREAD_STRIPE 1
#define | THREAD_DISPLAY 2
#define | THREAD_COFFEE 3

## Functions

void | killThread (int threadid, int sig)
| Sends a signal to a thread. More...

## Variables

int | verbose
bool | optDate
bool | optPower
bool | optCold
pthread_mutex_t | mutex
pthread_t | thread []

## Macro Definition Documentation

#define SPI_CHANNEL 1

#define SPI_SPEED 200000

#define SQL_DATABASE "coffee.sqlite"

#define THREAD_COFFEE 3

#define THREAD_DISPLAY 2

#define THREAD_MAIN 0

#define THREAD_STRIPE 1

#define TIMER_DELAY_US 50000

## Function Documentation

void killThread | ( | int | threadid,
|  | int | sig
| ) |  |

Sends a signal to a thread.

Parameters

  threadid | ID of the thread
  sig | Signal to send

## Variable Documentation

pthread_mutex_t mutex

bool optCold

bool optDate

bool optPower

pthread_t thread[]

int verbose